circles to donuts?

Discussion in 'AutoCAD' started by The Real JD, Nov 24, 2004.

  1. The Real JD

    The Real JD Guest

    I've got a drawing that was exported from another program. I need to change
    all the circles to donuts or to replace them with blocks. Donuts would be my
    first pick.
     
    The Real JD, Nov 24, 2004
    #1
  2. The Real JD

    Paul Turvill Guest

    Paul Turvill, Nov 24, 2004
    #2
  3. The Real JD

    The Real JD Guest

    The Real JD, Nov 25, 2004
    #3
  4. The Real JD

    The Real JD Guest

    The Real JD, Nov 25, 2004
    #4
  5. The Real JD

    David Kozina Guest

    ....MUST resist!... ;)

    Whew! That was close!

    I'd be making some remark about Krispy Kreme for a minute there...

    Oops.
     
    David Kozina, Nov 25, 2004
    #5
  6. The Real JD

    Jeff Mishler Guest

    revise the netmake portion of the code to this:
    Code:
    (entmake
    (list
    '(0 . "LWPOLYLINE")
    '(100 . "AcDbEntity")
    '(100 . "AcDbPolyline")
    (assoc 8 ent)
    '(90 . 2)
    '(70 . 129)
    (cons 10 (polar cen 0 (/ rad 2)))
    '(42 . 1)
    (cons 10 (polar cen pi (/ rad 2)))
    '(42 . 1)
    (cons 43 rad)
    (if ltp ltp '(6 . "BYLAYER"))
    (if clr clr '(62 . 256))
    );;list
    )
    
     
    Jeff Mishler, Nov 25, 2004
    #6
  7. The Real JD

    Paul Turvill Guest

    FILLMODE=1
    ___
     
    Paul Turvill, Nov 25, 2004
    #7
  8. The Real JD

    Paul Turvill Guest

    No. Whether you (entmake ...) the donuts or use the DONUT command, they'll
    be filled if FILLMODE=1, and not filled if FILLMODE=0.
    ___

     
    Paul Turvill, Nov 25, 2004
    #8
  9. The Real JD

    Jeff Mishler Guest

    ????? The routine as posted on your site only creates a 0 width pline. How
    does fillmode affect these? (My drawing has FILLMODE=1 and the new "Donuts"
    look exactly like the circles they replaced) The minor mods I showed
    actually create polylines that have a width equal to the radius of the
    original circle and the radius of the new plines is 1/2 the old radius to
    compensate for the width.

    Happy Thanksgiving!
     
    Jeff Mishler, Nov 25, 2004
    #9
  10. The Real JD

    The Real JD Guest

    Thanks Jeff! Your tweak worked.

    And thanks Paul for the original code
     
    The Real JD, Nov 25, 2004
    #10
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.